<template>
  <q-markup-table dense>
    <thead>
      <tr>
        <th class="text-left">Datos</th>
        <th class="text-right">Pendientes</th>
        <th class="text-right">Acciones</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="item in dataSet" :key="item.uuid">
        <td class="text-left">
          <q-item>
            <q-item-section>
              <q-item-label>{{ item.experiencia }}</q-item-label>
              <q-item-label caption lines="2">
                <span>Responsable :</span> {{ item.responsable }}
              </q-item-label>
              <q-item-label caption lines="3">
                <span>Fecha. :</span> {{ $filters.Date(item.fecha) }}
              </q-item-label>
            </q-item-section>
          </q-item>
        </td>
        <td class="text-right">
          <q-chip
            color="red"
            dark
            size="sm"
            outline
            rounded
            square
            icon="schedule"
            class="full-width"
          >
            <span class="full-width text-center"> {{ item.pendientes }}</span>
          </q-chip>
        </td>
        <td class="text-right">
          <q-btn
            color="blue"
            size="sm"
            flat
            icon="chevron_right"
            :to="'/formacion/experiencias/detalle/' + item.uuid + '?estado=1,3'"
          >
            Detalle
          </q-btn>
        </td>
      </tr>
    </tbody>
    <Loading :showing="loading" />
  </q-markup-table>
</template>

<script lang="ts">
import { defineComponent, ref, onMounted } from 'vue';
import { api } from 'src/boot/axios/index';
import { AxiosResponse } from 'axios';
import { ExperienciasPendientesInterface } from 'src/interfaces/FormacionInterface';
import Loading from 'src/components/Loading.vue';

export default defineComponent({
  name: 'PendientesCierrePartial',
  components: { Loading },
  setup() {
    const loading = ref(true);

    onMounted(() => {
      getCumpleanios();
    });

    const dataSet = ref<ExperienciasPendientesInterface[]>();
    function getCumpleanios() {
      api
        .get('/api/formacion/cursos/pendientes?rowsPerPage=9999')
        .then((response: AxiosResponse) => {
          dataSet.value = response.data.data;
        })
        .finally(() => {
          loading.value = false;
        });
    }

    return { loading, dataSet };
  },
});
</script>
